using System;
using System.Collections.Generic;
using System.Text;

namespace ReFrameworker
{
    using System;

    internal class ClassModule
    {
        private bool beforeLocation;
        private string description;
        private string classCodeFile;
        private string injectionLocation;

        public ClassModule(string description, string classCodeFile, string injectionLocation, bool beforeLocation)
        {
            this.description = description;
            this.classCodeFile = classCodeFile;
            this.injectionLocation = injectionLocation;
            this.beforeLocation = beforeLocation;
        }

        public bool BeforeLocation
        {
            get
            {
                return this.beforeLocation;
            }
        }

        public string ClassCodeFile
        {
            get
            {
                return this.classCodeFile;
            }
        }

        public string InjectionLocation
        {
            get
            {
                return this.injectionLocation;
            }
        }
    }
}

