using System;
using System.Collections.Generic;
using System.Text;

namespace ReFrameworker
{
    using System;

    internal class MethodModule
    {
        private bool beforeLocation;
        private string description;
        private string methodCodeFile;
        private string injectionLocation;

        public MethodModule(string description, string methodCodeFile, string injectionLocation, bool beforeLocation)
        {
            this.description = description;
            this.methodCodeFile = methodCodeFile;
            this.injectionLocation = injectionLocation;
            this.beforeLocation = beforeLocation;
        }

        public bool BeforeLocation
        {
            get
            {
                return this.beforeLocation;
            }
        }

        public string MethodCodeFile
        {
            get
            {
                return this.methodCodeFile;
            }
        }

        public string InjectionLocation
        {
            get
            {
                return this.injectionLocation;
            }
        }
    }
}

