using System;
using System.Collections.Generic;
using System.Text;

namespace ReFrameworker
{
    using System;

    internal class PayloadModule
    {
        private string description;
        private string injectedCodeFile;
        private string injectionLocation;
        private int stackSize;
        private bool considerLineNumbering;
        public enum InjectionModeEnum { PreAppend, PostAppend,Replace };

        private InjectionModeEnum injectionMode;

        public PayloadModule(string description, string injectedCodeFile, string injectionLocation, int stackSize, InjectionModeEnum injectionMode, bool considerLineNumbering)
        {
            this.description = description;
            this.injectedCodeFile = injectedCodeFile;
            this.injectionLocation = injectionLocation;
            this.stackSize = stackSize;
            this.injectionMode = injectionMode;
            this.considerLineNumbering = considerLineNumbering;
        }

        public string InjectedCodeFile
        {
            get
            {
                return this.injectedCodeFile;
            }
        }

        public bool ConsiderLineNumbering
        {
            get
            {
                return this.considerLineNumbering;
            }
        }

        public string InjectionLocation
        {
            get
            {
                return this.injectionLocation;
            }
        }

        public int StackSize
        {
            get
            {
                return this.stackSize;
            }
        }

        public InjectionModeEnum InjectionMode
        {
            get
            {
                return this.injectionMode;
            }
        }
    }
}

